Subject: bug#20025: closed (Re: bug#20025: user in ratpoison doesn't have access to guix by default)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 10 Mar 2015 12:37:04 +0000

Your bug report

#20025: user in ratpoison doesn't have access to guix by default

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20025: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20025
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20025: user in ratpoison doesn't have access to guix by default
From: [email-masked] (Ludovic Courtès)
To: Tomáš Čech <[email-masked]>
Cc: [email-masked]
Date: Tue, 10 Mar 2015 13:36:40 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Tomáš Čech <[email-masked]> skribis:

> On Sun, Mar 08, 2015 at 11:09:13PM +0100, Ludovic Courtès wrote:
>>[email-masked] skribis:
>>
>>> After booting into Guix I used slim to login into Ratpoison and I run
>>> there terminal emulator. `guix' wasn't available in current PATH
>>> settings so user couldn't maintain his profile.
>>>
>>> I believe that /run/current-system/profile/bin/ should be added to PATH.
>>
>>AFAICS it is.
>>
>>Could it be that the account’s .bash_profile fails to source
>>/etc/profile, or something like that (info "(bash) Bash Startup Files")?
>>See /etc/skel/.bash{rc,_profile} as examples.
>
> As my config file changed, I'm no longer able to reproduce it. If there is
> such bug, it will reappear in future.
>
> Please close the bug.

Thanks.

Ludo'.

Subject: user in ratpoison doesn't have access to guix by default
From: [email-masked]
To: [email-masked]
Date: Sat, 7 Mar 2015 01:09:31 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

With guix at revision df81e046c57e5f767738113e4e7a28b212c03d63 I
deployed Guix to another partition.

After booting into Guix I used slim to login into Ratpoison and I run
there terminal emulator. `guix' wasn't available in current PATH
settings so user couldn't maintain his profile.

I believe that /run/current-system/profile/bin/ should be added to PATH.